'use strict';const PropTypes=require('prop-types'),React=require('react'),Lightbox=require('../../lightbox/lightbox'),SvgIcon=require('../../svg-icon/svg-icon');class Tour extends React.PureComponent{render(){const a=this.props.staticURL,b=`${a}/static/gui/build/app/assets/images/non-sprites/tour`;return React.createElement('div',null,React.createElement('span',{className:'back-to-help',onClick:this.props.endTour.bind(this)},React.createElement(SvgIcon,{className:'back-to-help__icon',name:'chevron_down_16',size:'16'}),'Back to GUI help'),React.createElement(Lightbox,{close:this.props.close.bind(this),extraClasses:['tour']},React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',src:`${b}/welcome@1x.png`,srcSet:`${b}/welcome@2x.png 2x`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Welcome to JAAS. You\'ve arrived at the empty canvas. Click on the green button to visit the store and start building your application.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 347w',src:`${b}/store@1x.png`,srcSet:`
${b}/store@2x.png 2x,
${b}/store-mobile@1x.png 347w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Browse the store to find charms for the applications you use and pre-configured bundles that build the solutions you need.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 335w',src:`${b}/relations@1x.png`,srcSet:`
${b}/relations@2x.png 2x,
${b}/relations-mobile@1x.png 335w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Juju relations allow individual applications to share information, request resources, and coordinate operations. To create one, select one of the applications and grab the \'connect\' symbol that appears above it. Then drag it to the other applications to make the relation.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 307w',src:`${b}/inspector@1x.png`,srcSet:`
${b}/inspector@2x.png 2x,
${b}/inspector-mobile@1x.png 307w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'The inspector shows a list of all the applications in your model. Use it to scale, expose, and configure your applications.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 431w',src:`${b}/machine-app-view@1x.png`,srcSet:`
${b}/machine-app-view@2x.png 2x,
${b}/machine-app-view-mobile@1x.png 431w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Use the inspector to switch between application view, where you can see a visual representation of your workload, and machine view, where you can see and manage all of the instances your model is using.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 341w',src:`${b}/deploy@1x.png`,srcSet:`
${b}/deploy@2x.png 2x,
${b}/deploy-mobile@1x.png 341w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Ready to deploy your workload? Click the blue Deploy button shown on the bottom right.'))),React.createElement('div',{className:'tour__slide'},React.createElement('img',{className:'tour__slide-image',sizes:'(max-width: 768px) 375w',src:`${b}/post-deploy@1x.png`,srcSet:`
${b}/post-deploy@2x.png 2x,
${b}/post-deploy-mobile@1x.png 375w,
`}),React.createElement('div',{className:'tour__slide-description clearfix'},React.createElement('p',{className:'ten-col'},'Creating instances, deploying applications, and performing configuration can sometimes take several minutes. Pending units are outlined in ',React.createElement('span',{className:'u-pending'},'orange'),' \u2014 These are still in progress. Your model will be fully up and running once all application icons are outlined in gery.')))))}}Tour.propTypes={close:PropTypes.func.isRequired,endTour:PropTypes.func,staticURL:PropTypes.string.isRequired},module.exports=Tour;